package com.jeeplus.sys.service.dto;

import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author 王强
 * @version 1.0
 * @date 2023-12-21 15:11
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class UserOtherInfoDto extends BaseDTO {

    private String userInfoId;              //用户信息id
    private String certificatesType;         //证件类型
    private String idCard;                  //证件号
    private String certificatesFront;       //证件照正面
    private String certificatesBack;        //证件照反面
    private String sex;                     //性别
    private String birthDate;               //出生日期
    private String workerType;              //员工类型
    private String onboardingDate;          //入职日期
    private String ethnic;                  //民族
    private String contactAddress;          //联系地址
    private String accountType;             //户口类型
    private String accountAddr;             //户口所在地
    private String origin;                  //籍贯
    private String liveAddr;                //居住地址
    private String highestEducation;        //最高学历
    private String politicalFace;           //政治面貌
    private String maritalStatus;           //婚姻状况
    private String bloodType;               //血型
    private String emergencyContactName;    //紧急联系人姓名
    private String emergencyContactTel;     //紧急联系人电话
    private String qq;
    private String wechat;
    private String remarks;
}
