package com.jeeplus.finance.fileDict.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 
 * @TableName program_file_dict
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("program_file_dict")
public class ProgramFileDict extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 上级类型
     */
    private String parentId;

    /**
     * 附件结构名称
     */
    private String name;

    /**
     * 序号
     */
    private String sort;

    /**
     * 文件类型
     */
    private String type;

    /**
     * 文件大小
     */
    private String size;

    private static final long serialVersionUID = 1L;
}