package com.jeeplus.finance.program.configuration.projectList.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 新项目管理-项目登记-项目报告号表
 * @TableName program_report_no
 */
@Data
@TableName(value = "program_report_no")
public class ProgramReportNo extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 项目id
     */
    private String programId;

    /**
     * 项目报告号
     */
    private String reportNo;

    private static final long serialVersionUID = 1L;
}