package com.jeeplus.finance.program.configuration.projectList.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.finance.program.configuration.projectList.domain.ProgramArchive;
import com.jeeplus.finance.program.configuration.projectList.service.dto.ProgramArchiveDto;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Entity com.jeeplus.test.program.configuration.projectList.domain.ProgramArchive
 */
@Mapper
public interface ProgramArchiveMapper extends BaseMapper<ProgramArchive> {
    @InterceptorIgnore(tenantLine = "true")
    ProgramArchiveDto findByIdArchive(String id);

    /**
     * 根据项目id查询信息
     * @param id
     * @return
     */
    ProgramArchiveDto findByProgramIdArchive(String id);
}




