package com.jeeplus.finance.program.configuration.projectList.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.finance.program.configuration.projectList.domain.ProgramReportNo;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Entity com.jeeplus.test.program.configuration.projectList.domain.ProgramReportNo
 */
@Mapper
public interface ProgramReportNoMapper extends BaseMapper<ProgramReportNo> {

    /**
     * 根据项目id查报告号信息
     * 过滤限制保留
     * @param id
     * @return
     */
    @InterceptorIgnore(tenantLine = "true")
    ProgramReportNo selectByProgramId(String id);
}




