package com.jeeplus.finance.program.serviceType.service.dto;

import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

import java.util.List;

/**
 * 评估-项目管理-业务类型管理
 */
@Data
public class ProgramServiceTypeDTO extends BaseDTO {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 分类名称
     */
    private String name;

    /**
     * 父id
     */
    private String parentId;

    /**
     * 等级
     */
    private Integer level;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 父ids
     */
    private String parentIds;

    /**
     * 子集合
     */
    private List<ProgramServiceTypeDTO> childrenList;

    private static final long serialVersionUID = 1L;
}