package com.jeeplus.finance.projectReport.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author: 王强
 * @create: 2022-12-12 20:37
 **/
@Data
@TableName(value = "cw_project_report_review_new")
public class CwProjectReviewNew extends BaseEntity {

    private String mark;  //标记

    /**
     * 复核通过时间
     */
    private Date checkCompleteTime;

    /**
     * 流程id
     */
    private String procInsId;

    private String processDefinitionId;

    /**
     * 流程状态
     */
    private String reviewStatus;
    private String reportId;  //报告id
    private String reviewBy;  //下一节点审核人id
    private String reviewFee;  //送审价
    private String approvalFee;  //审定价
    private String contractCategory;  //合同类别
    private String contractFee;  //合同价
    private String contractRate;  //费率
    private String verifyFee;  //核增核减额
    private String verifyRate;  //核增核减率
    private String consultFee;  //咨询标的额
    private String buildingFee;  //土建造价
    private String installFee;  //安装造价
    private String buildingRate;  //土建比例
    private String installRate;  //安装比例
    private String workStartDate;  //工作开始时间
    private String workEndDate;  //工作结束时间
    private String ziXunShouRu;  //造价咨询营业收入


}
