package com.jeeplus.finance.projectReport.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.finance.projectReport.domain.CwProjectReportData;
import com.jeeplus.finance.projectReport.domain.CwProjectReviewNew;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author 王强
 * @version 1.0
 * @date 2024-01-19 9:55
 */
@Mapper
public interface CwProjectReviewNewMapper extends BaseMapper<CwProjectReviewNew> {


    /**
     * 根据id修改状态
     * @param id
     * @param reviewStatus
     */
    void updateStatusById(@Param("id") String id, @Param("reviewStatus") String reviewStatus);
}
