package com.jeeplus.human.depart.registration.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.human.depart.registration.domain.DepartRegistration;
import com.jeeplus.human.practice.register.domain.Registration;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author 王强
 * @version 1.0
 * @date 2023-10-25 9:49
 */
@Mapper
public interface DepartMapper extends BaseMapper<DepartRegistration> {

    /**
     * 查询离职申请表
     * @param page
     * @param queryWrapper
     * @return
     */
    IPage<DepartRegistration> findList(Page<DepartRegistration> page, @Param(Constants.WRAPPER) QueryWrapper<DepartRegistration> queryWrapper);

    DepartRegistration getById(@Param("id") String id);

    void updateStatusById(@Param("id") String id, @Param("type") String type);

    DepartRegistration getByHandoverId(@Param("handoverId") String handoverId);
}
