package com.jeeplus.human.practice.reimburseRegister.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.human.practice.reimburseRegister.domain.ReimburseRegister;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author 王强
 * @version 1.0
 * @date 2023-09-19 13:40
 */
@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface ReimburseRegisterMapper extends BaseMapper<ReimburseRegister> {

    IPage<ReimburseRegister> findList(Page<ReimburseRegister> page,@Param(Constants.WRAPPER) QueryWrapper<ReimburseRegister> queryWrapper);
    IPage<ReimburseRegister> findList2(Page<ReimburseRegister> page,@Param(Constants.WRAPPER) QueryWrapper<ReimburseRegister> queryWrapper);

    ReimburseRegister getById(String id);

    void updateStatusById(@Param("id")String id,@Param("type") String type);

    void removeById(String id);
}
