package com.jeeplus.sys.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 花名册-银行卡信息
 * @TableName roster_bank_cards
 */
@Data
@TableName("roster_bank_cards")
public class RosterBankCards extends BaseEntity {
    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 基础信息id
     */
    private String baseId;

    /**
     * 工资卡开户银行
     */
    private String payrollCardOpenBank;

    /**
     * 工资卡分支行
     */
    private String payrollCardBranches;

    /**
     * 工资卡银行账号
     */
    private String payrollCardBankAccount;

    /**
     * 工资卡开户名
     */
    private String payrollCardOpeningName;

    /**
     * 工资卡照片
     */
    private String payrollCardPic;

    /**
     * 是否为默认
     */
    private String isDefault;

    private static final long serialVersionUID = 1L;


}