package com.jeeplus.sys.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * roster_contract
 * @author 
 */
@Data
@TableName("roster_contract")
public class RosterContract extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 基础信息id
     */
    private String baseId;

    /**
     * 当前合同起始日
     */
    private Date beginDate;

    /**
     * 当前合同终止日
     */
    private Date endDate;

    /**
     * 工作邮箱
     */
    private String workEmail;

    /**
     * 工作电话
     */
    private String workMobile;

    /**
     * 试用期到期日
     */
    private Date probationPeriodEndDate;

    /**
     * 试用期(月)
     */
    private String probationPeriodMonth;

    private static final long serialVersionUID = 1L;
}