package com.jeeplus.finance.program.configuration.projectList.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 新项目管理-项目登记-三级校审
 * @TableName program_audit
 */
@Data
@TableName(value = "program_audit")
public class ProgramAudit extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 项目id
     */
    private String programId;

    /**
     * 校审级别
     */
    private String auditLevel;

    /**
     * 审核人
     */
    private String auditPeople;

    /**
     * 审核通过时间
     */
    private Date auditDate;

    /**
     * 执行人员保留意见
     */
    private String retainOpinion;

    /**
     * 审核人员审核未修改意见
     */
    private String changeOpinion;

    /**
     * 审核意见及回复/明细表
     */
    private String detailOpinion;

    /**
     * 审核意见及回复/评估报告
     */
    private String reportOpinion;

    /**
     * 审核意见及回复/技术说明
     */
    private String remarksOpinion;

    /**
     * 审核意见及回复/工作底稿
     */
    private String workOpinion;

    /**
     * 流程id
     */
    private String procInsId;

    /**
     * 流程信息
     */
    private String processDefinitionId;

    /**
     * 状态
     */
    private String status;

    private static final long serialVersionUID = 1L;
}