package com.jeeplus.finance.program.configuration.projectList.domain;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 评估-项目管理-项目组成员
 * @TableName program_members
 */
@TableName(value ="program_members")
@Data
public class ProgramMembers extends BaseEntity implements Serializable {

    /**
     * 备注
     */
    private String remarks;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 人员id
     */
    private String userId;

    /**
     * 状态  0为正常  1为移除
     */
    private String status;

    /**
     * 项目主要成员  1为主要成员 
     */
    private String isImportant;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}