package com.jeeplus.finance.projectReport.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 报告-纸质归档
 * @author 王强
 * @version 1.0
 * @date 2024-01-26 10:57
 */
@Data
@TableName(value = "cw_project_report_paper_archiving")
public class CwProjectReportPaperArchiving extends BaseEntity {

    private String mark; //标记

    private String reportId;  //报告id
    /**
     * 流程id
     */
    private String procInsId;

    private String processDefinitionId;

    private String status;
    //案卷号
    private String filedNo;
    //确认案卷号
    private String confirmFiledNo;
}
