package com.jeeplus.finance.projectReport.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 报告签发
 * @author 王强
 * @version 1.0
 * @date 2024-01-25 13:52
 */
@Data
@TableName(value = "cw_project_report_sign_and_issue")
public class CwProjectReportSignAndIssue extends BaseEntity {

    /**
     * 复核通过时间
     */
    private Date issueCompleteTime;

    private String reportId;  //报告id
    /**
     * 流程id
     */
    private String procInsId;

    private String processDefinitionId;

    private String status;
}
