package com.jeeplus.finance.projectReport.domain;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.query.Query;
import com.jeeplus.finance.projectReport.service.dto.ProjectReportWorkAttachmentDTO;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author: 徐滕
 * @version: 2022-11-11 14:01
 */
@Data
@TableName("cw_project_report")
public class CwProjectReportTeamMembers extends BaseEntity {

    private String userId;      //用户id
    private String reportId;    //报告id
    private String content;     //本人负责内容
    private String opinion;     //审核意见

}
