package com.jeeplus.finance.projectReport.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * @author: 王强
 * @create: 2022-12-12 20:37
 **/
@Data
@TableName(value = "cw_project_report_review_new_team")
public class CwProjectReviewNewTeam extends BaseEntity {

    private String reportId;  //报告id
    private String userId;  //用户id
    private String userRole;  //角色
    private String content;  //本人负责内容
    private String opinion;  //审核意见

    //编号
    private String detailNumber;

    @TableField(exist = false)
    private String memberName;  //成员名称
    @TableField(exist = false)
    private String professionType;  //证书类型
    @TableField(exist = false)
    private String profession;  //专业
    @TableField(exist = false)
    private String enrollCertNo;  //注册/资格证号



}
