package com.jeeplus.finance.projectReport.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.finance.projectReport.domain.CwProjectReportSignature;
import com.jeeplus.finance.projectReport.domain.CwProjectReviewNewTeam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author 王强
 * @version 1.0
 * @date 2024-01-19 10:02
 */
@Mapper
public interface CwProjectReviewNewTeamMapper extends BaseMapper<CwProjectReviewNewTeam> {

    @InterceptorIgnore(tenantLine = "true")
    void deleteByReportId(@Param("reportId") String reportId);

    @InterceptorIgnore(tenantLine = "true")
    List<CwProjectReviewNewTeam> selectByReportId(@Param("reportId") String reportId );
}
