package com.jeeplus.finance.projectReport.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.finance.projectReport.domain.CwProjectReport;
import com.jeeplus.finance.projectReport.domain.CwSignatureAnnotator;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 财务-修改签字注师记录表
 */
@Mapper
public interface CwSignatureAnnotatorMapper extends BaseMapper<CwSignatureAnnotator> {
    CwSignatureAnnotator getSigById(String id);

    void updateStatusById(CwSignatureAnnotator cwSignatureAnnotator);

    void setClearReason(@Param("id")String id);

    void updateStatusBySigId(@Param("signatureAnnotatorStatus")String signatureAnnotatorStatus, @Param("id")String id);
}
