package com.jeeplus.finance.proofread.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

@Data
@TableName(value = "proofread_detail")
public class ProofreadDetail extends BaseEntity {

    /**
     * 序号
     */
    private Integer serialNumber;

    /**
     * 基本信息
     */
    private String infoId;

    /**
     * 类型id
     */
    private String typeId;

    /**
     * 类型名称
     */
    @TableField(exist = false)
    private String typeName;

    /**
     * 审核意见
     */
    private String reviewComments;

    /**
     * 是否适用
     */
    private String isApply;

    /**
     * 回复意见
     */
    private String replyComments;

    /**
     * 序号
     */
    @TableField(exist = false)
    private String sort;

}
