package com.jeeplus.finance.workClientInfo.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.finance.workClientInfo.domain.WorkClientInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface WorkClientInfoMapper extends BaseMapper<WorkClientInfo> {

    IPage<WorkClientInfo> findPageList(Page<WorkClientInfo> page, @Param(Constants.WRAPPER)QueryWrapper queryWrapper);

    Integer isExist(@Param("value") String value);

    IPage<WorkClientInfo> componentList(Page<WorkClientInfo> page, @Param(Constants.WRAPPER)QueryWrapper queryWrapper);
}
