package com.jeeplus.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class CwProjectPlanDetails extends BaseEntity {

    //任务阶段
    private String taskPhase;

    //计划开始时间
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date planStartDate;

    //计划结束时间
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date planEndDate;

    //提醒人
    private String warnUser;

    //完成人
    private String achiever;

    //计划表id
    private String planId;

    @TableField(exist = false)
    private String warnName;

    @TableField(exist = false)
    private String achieverName;

    private String projectId;

    private String projectName;
}
